<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: CSS Last Seen Users Panel
| Filename: live_last_seen_users_panel_load.php
| Author: PHP-Fusion Mods UK
| Version: v1.00
| Developers: Craig
| Site: http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once ("../../maincore.php");

if (!defined("IN_FUSION")) { die("Access Denied"); }

 if (file_exists(INFUSIONS."live_last_seen_users_panel/locale/".$settings['locale'].".php")) {
   include INFUSIONS."live_last_seen_users_panel/locale/".$settings['locale'].".php";
     } else {
   include INFUSIONS."live_last_seen_users_panel/locale/English.php"; 
}

global $userdata;


$limit = "9"; // Number of Last Seen Users To Display (Odd Numbers Only)


	echo "<div class='lstsn col'>";
	$result = dbquery("SELECT * FROM ".DB_USERS." WHERE user_lastvisit !='0' ORDER BY  user_lastvisit DESC LIMIT ".$limit);

	while ($data = dbarray($result)) {

	$lseen = time() - stripinput($data['user_lastvisit']);
	if($lseen < 60) { 
	if ($data['user_avatar'] && file_exists(IMAGES."avatars/".$data['user_avatar']) && $data['user_status']!=6 && $data['user_status']!=5) { echo "<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'><img class='lstsn-users-online' src='".IMAGES."avatars/".$data['user_avatar']."'   title='".$data['user_name'].$locale['lstsn02']."' alt='' /></a>";
	} else { echo "<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'><img class='lstsn-users-online' src='".IMAGES."avatars/noavatar100.png' alt=''  title=' ".$data['user_name'].$locale['lstsn02']."' /></a>";
	} 
	} elseif($lseen < 300) {  if ($data['user_avatar'] && file_exists(IMAGES."avatars/".$data['user_avatar']) && $data['user_status']!=6 && $data['user_status']!=5) { echo "<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'><img class='lstsn-users-five lstsn-user' src='".IMAGES."avatars/".$data['user_avatar']."'   title='".$data['user_name'].$locale['lstsn03']."' alt='' /></a>";
	} else { echo "<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'><img class='lstsn-users-five lstsn-user' src='".IMAGES."avatars/noavatar100.png'  alt=''  title=' ".$data['user_name'].$locale['lstsn03']."' /></a>";
	} 
	} else { if ($data['user_avatar'] && file_exists(IMAGES."avatars/".$data['user_avatar']) && $data['user_status']!=6 && $data['user_status']!=5) { echo "<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'><img class='lstsn-users-offline lstsn-user' src='".IMAGES."avatars/".$data['user_avatar']."'   title='".$data['user_name'].$locale['lstsn04'].showdate("forumdate", $data['user_lastvisit'])."' alt='' /></a>";
	} else { echo "<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'><img class='lstsn-users-offline lstsn-user' src='".IMAGES."avatars/noavatar100.png' alt=''  title=' ".$data['user_name'].$locale['lstsn04'].showdate("forumdate", $data['user_lastvisit'])."' /></a>";
	}
	}

	}
	echo"</div>";

?>