<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright © 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: Live Last Seen Users Panel
| Filename: live_last_seen_users_panel.php
| Author: PHP-Fusion Mods UK
| Version: v1.00
| Developers: Craig
| Site: http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| Refresh Code by skpacman http://www.php-fusion.us/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
 if (!defined("IN_FUSION")) { die("Access Denied"); }
 
 if (file_exists(INFUSIONS."live_last_seen_users_panel/locale/".$settings['locale'].".php")) {
   include INFUSIONS."live_last_seen_users_panel/locale/".$settings['locale'].".php";
     } else {
   include INFUSIONS."live_last_seen_users_panel/locale/English.php"; 
}
global $userdata;

add_to_head("<style type='text/css'>
		.lstsn { margin:0; float:left; }
		.col { padding:0 16px 0 5px; width:170px; }
		.col img {margin: 5px; }
		.lstsn-user { opacity:0.8; filter:alpha(opacity=80); /* For IE8 and earlier */ }
		.lstsn-user:hover { opacity:1.0; filter:alpha(opacity=100); /* For IE8 and earlier */ }
		.lstsn-users-online { border: 1px dashed #82FF44; width: 40px; height: 40px;}
		.lstsn-users-five { border: 1px dashed #FFA70F; width: 40px; height: 40px;}
		.lstsn-users-offline { border: 1px dashed #FF3D3D; width: 40px; height: 40px;}
	</style>");

add_to_head("<script type='text/javascript'>
			function AJAX(){
			try{
			xmlHttp=new XMLHttpRequest(); // Firefox, Opera 8.0+, Safari
			return xmlHttp;
			}
			catch (e){
			try{
			xmlHttp=new ActiveXObject('Msxml2.XMLHTTP'); // Internet Explorer
			return xmlHttp;
			}
			catch (e){
			try{
			xmlHttp=new ActiveXObject('Microsoft.XMLHTTP');
			return xmlHttp;
			}
			catch (e){
			alert('Your browser does not support AJAX.');
			return false;
			}
			}
			}
			}

			// Timestamp for preventing IE caching the GET request (common function)

			function fetch_unix_timestamp()
			{
			 return parseInt(new Date().getTime().toString().substring(0, 10))
			}

			function refreshdiv_livelastseenusers(){

			var seconds = 5;
			var divid = 'livelastseenusers';
			var url = '/infusions/live_last_seen_users_panel/live_last_seen_users_panel_load.php';
			var xmlHttp_one = AJAX();
			var timestamp = fetch_unix_timestamp();
			var nocacheurl = url+'?t='+timestamp;

			xmlHttp_one.onreadystatechange=function(){
			if(xmlHttp_one.readyState==4){
			document.getElementById(divid).innerHTML=xmlHttp_one.responseText;
			setTimeout('refreshdiv_livelastseenusers()',seconds*1000);
			}
			}
			xmlHttp_one.open('GET',nocacheurl,true);
			xmlHttp_one.send(null);
			}
			window.onload = function startrefresh(){
			setTimeout('refreshdiv_livelastseenusers()',seconds*1000);
			}
</script>");

	openside($locale['lstsn01']);
		echo "<script type='text/javascript'>refreshdiv_livelastseenusers();</script><div id='livelastseenusers'></div>";
	closeside();
?>
